package com.crm.manager.service;

import com.crm.rely.backend.core.dto.custom.group.hide.CustomGroupHideDto;
import com.crm.rely.backend.core.entity.custom.group.hide.CustomGroupHideSaveEntity;
import com.crm.rely.backend.exception.ServiceException;

import java.util.List;

public interface CustomGroupHideService {
    CustomGroupHideDto getByGroupId(Long groupId) throws ServiceException;

    void save(CustomGroupHideSaveEntity entity) throws ServiceException;

    void deleteIn(List<Long> groupIds) throws ServiceException;

    void delete(Long groupId) throws ServiceException;

    List<CustomGroupHideDto> getByGroupIdIn(List<Long> groupIds) throws ServiceException;
}
